Update Organization
curl --request PATCH \
--url https://management-api.unomiq.com/organizations/{org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"contract_email": "jsmith@example.com",
"tax_id": "<string>",
"address": {
"street": "",
"city": "",
"state": "",
"postal_code": "",
"country": ""
},
"billing_address": {
"street": "",
"city": "",
"state": "",
"postal_code": "",
"country": ""
}
}
'import requests
url = "https://management-api.unomiq.com/organizations/{org_id}"
payload = {
"name": "<string>",
"contract_email": "jsmith@example.com",
"tax_id": "<string>",
"address": {
"street": "",
"city": "",
"state": "",
"postal_code": "",
"country": ""
},
"billing_address": {
"street": "",
"city": "",
"state": "",
"postal_code": "",
"country": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contract_email: 'jsmith@example.com',
tax_id: '<string>',
address: {street: '', city: '', state: '', postal_code: '', country: ''},
billing_address: {street: '', city: '', state: '', postal_code: '', country: ''}
})
};
fetch('https://management-api.unomiq.com/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organizations
Update Organization
Update an organization’s details.
Updates organization information including name, contract email, address, and billing address.
Requires the update:organizations permission, available to users with an owner role for the organization, or to API keys with this permission assigned.
Returns: Object with the organization’s id and update timestamp
PATCH
/
organizations
/
{org_id}
Update Organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Organization/company name
Required string length:
1 - 255Contract email address
Maximum string length:
255Tax ID / VAT number (alphanumeric, hyphens, and spaces only)
Maximum string length:
50Pattern:
^[A-Za-z0-9\s\-]*$Organization address
Show child attributes
Show child attributes
Billing address
Show child attributes
Show child attributes
⌘I